Skip to main content

Create Showcase Creative Resource

API Description

Create a new showcase creative resource.

Request

URI Parameters

NameInput
orgId
REQUIRED
brandId
REQUIRED
Path Template
POST {url}/api/{version}/orgs/{orgId}/brands/{brandId}/showcase-creatives
Path Example
POST {url}/api/v1/orgs/9467895078742654934/brands/9467895078742654921/showcase-creatives

Request Headers

NameInput
Authorization
REQUIRED
Content-Type
REQUIRED
Example Request Headers
Authorization: Bearer <access_token>
Content-Type: application/json

Request Body

NameInput
$.showcaseCreativeDetails
REQUIRED
Showcase Creative with App ID
{
"showcaseCreativeDetails": {
"contents": [
{
"placement": "HEADLINE",
"descriptions": [
{
"locale": "en-US",
"text": "Happy New Year!"
}
]
},
{
"placement": "BODY",
"descriptions": [
{
"locale": "en-US",
"text": "Ring in the New Year with our new flavors!"
}
]
}
],
"photo": {
"id": "9467895078742654949",
"captions": [
{
"altText": "Storefront and and outdoor patio with tables and chairs",
"locale": "en-US"
}
]
},
"callToAction": "PRICING",
"appIds": [
"284910350"
]
}
}
Showcase Creative with Photo ID

No app ID present or expected. The specified CTA is not supported by a third-party provider, it is supported by Apple Maps.

{
"showcaseCreativeDetails": {
"contents": [
{
"placement": "HEADLINE",
"descriptions": [
{
"locale": "en-US",
"text": "Happy New Year!"
}
]
},
{
"placement": "BODY",
"descriptions": [
{
"locale": "en-US",
"text": "Ring in the New Year with our new flavors!"
}
]
}
],
"photo": {
"id": "9467895078742654949",
"captions": [
{
"altText": "Storefront and and outdoor patio with tables and chairs",
"locale": "en-US"
}
]
},
"callToAction": "WEBSITE"
}
}

Response

201 Created or Error

Response Headers

Name
apple-request-id
content-type
etag
location
Example Response Headers
HTTP/1.1 201 Created
apple-request-id: 2a5a1595-f5a0-4f67-9b4f-61a31be51573
content-type: application/json
etag: "1e5fbf1c-ddd5-11ec-8016-f7b230a5146d"
location: /api/v1/orgs/9467895078742654934/brands/9467895078742654921/showcase-creatives/9467895078742654987

Response Body

NameOutput
$.orgId
REQUIRED
$.brandId
REQUIRED
$.id
REQUIRED
$.createdDate
REQUIRED
$.updatedDate
REQUIRED
$.state
REQUIRED
$.etag
REQUIRED
$.showcaseCreativeDetails
REQUIRED
$.validationReports[]
CONDITIONAL
Showcase Creative with App ID
{
"orgId": "9467895078742654934",
"brandId": "9467895078742654921",
"id": "9467895078742655555",
"createdDate": "2026-10-02T12:29:12.00Z",
"updatedDate": "2026-10-02T12:29:12.00Z",
"state": "SUBMITTED",
"etag": "1e5fbf1c-ddd5-11ec-8016-f7b230a5146d",
"showcaseCreativeDetails": {
"contents": [
{
"placement": "HEADLINE",
"descriptions": [
{
"locale": "en-US",
"text": "Happy New Year!"
}
]
},
{
"placement": "BODY",
"descriptions": [
{
"locale": "en-US",
"text": "Ring in the New Year with our new flavors!"
}
]
}
],
"photo": {
"id": "9467895078742654949",
"captions": [
{
"altText": "Storefront and and outdoor patio with tables and chairs",
"locale": "en-US"
}
]
},
"callToAction": "PRICING",
"appIds": [
"284910350"
]
},
"validationReports": []
}
Showcase Creative with Photo ID

No app ID present.

{
"orgId": "9467895078742654934",
"brandId": "9467895078742654921",
"id": "9467895078742654987",
"createdDate": "2026-10-01T12:29:12.00Z",
"updatedDate": "2026-10-01T12:29:12.00Z",
"state": "SUBMITTED",
"etag": "1e5fbf1c-ddd5-11ec-8016-f7b230a5146d",
"showcaseCreativeDetails": {
"contents": [
{
"placement": "HEADLINE",
"descriptions": [
{
"locale": "en-US",
"text": "Happy New Year!"
}
]
},
{
"placement": "BODY",
"descriptions": [
{
"locale": "en-US",
"text": "Ring in the New Year with our new flavors!"
}
]
}
],
"photo": {
"id": "9467895078742654949",
"captions": [
{
"altText": "Storefront and and outdoor patio with tables and chairs",
"locale": "en-US"
}
]
},
"callToAction": "WEBSITE"
},
"validationReports": []
}